Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: fitness::HardwareHealth::Failure Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
fitness::HardwareHealth::Failure Struct Reference

Hardware Failure. More...

`import "HardwareHealth.idl";`

## Public Attributes
int | creationOrderId
| failures created later have a larger id; range 1..failure-count
string | componentId
| the ID of the affected hardware component
int | type
| one of the hardware failure type constants
string | description
| human readable string describing HW component and failure
boolean | isAsserted
| `true` when the failure is currently asserted
time | lastAssertTimeStamp
| UNIX timestamp (UTC) when the failure was last asserted.
time | lastDeassertTimeStamp
| UNIX timestamp (UTC) when the failure was last deasserted (0 if asserted)
int | assertCount
| count of assertions

## Detailed Description

Hardware Failure.

Definition at line 21 of file HardwareHealth.idl.

## Member Data Documentation

## ◆ assertCount

int fitness::HardwareHealth::Failure::assertCount

count of assertions

Definition at line 29 of file HardwareHealth.idl.

## ◆ componentId

string fitness::HardwareHealth::Failure::componentId

the ID of the affected hardware component

Definition at line 23 of file HardwareHealth.idl.

## ◆ creationOrderId

int fitness::HardwareHealth::Failure::creationOrderId

failures created later have a larger id; range 1..failure-count

Definition at line 22 of file HardwareHealth.idl.

## ◆ description

string fitness::HardwareHealth::Failure::description

human readable string describing HW component and failure

Definition at line 25 of file HardwareHealth.idl.

## ◆ isAsserted

boolean fitness::HardwareHealth::Failure::isAsserted

`true` when the failure is currently asserted

Definition at line 26 of file HardwareHealth.idl.

## ◆ lastAssertTimeStamp

time fitness::HardwareHealth::Failure::lastAssertTimeStamp

UNIX timestamp (UTC) when the failure was last asserted.

Definition at line 27 of file HardwareHealth.idl.

## ◆ lastDeassertTimeStamp

time fitness::HardwareHealth::Failure::lastDeassertTimeStamp

UNIX timestamp (UTC) when the failure was last deasserted (0 if asserted)

Definition at line 28 of file HardwareHealth.idl.

## ◆ type

int fitness::HardwareHealth::Failure::type

one of the hardware failure type constants

Definition at line 24 of file HardwareHealth.idl.

The documentation for this struct was generated from the following file:

- HardwareHealth.idl